## groovy.lang
Interface Writable

All Known Implementing Classes:
  Attribute, FilteredAttributes, FilteredNodeChildren, GPathResult, GString, GStringImpl, NoChildren, Node, NodeChild, ReplacementNode, WritableFile

    public interface Writable

Represents an object which is capable of writing itself to a text stream in a more efficient format than just creating a toString() representation of itself. This mechanism is particularly useful for templates and such like.

Version:
  $Revision: 6778 $
Author:
  James Strachan

Method Summary
`Writer` `writeTo(Writer out)` writes this object to the given stream

Method Detail

### writeTo

    Writer writeTo(Writer out)
                   throws IOException

  writes this object to the given stream

  Throws:
    `IOException`

Copyright © 2003-2008 The Codehaus. All rights reserved.